Re: [meta-oe][PATCH] Upgrade fluentbit recipe from version 1.3.5 to 1.9.3


Khem Raj
 

On Wed, May 11, 2022 at 9:04 AM Lekshmi Ravindran
<lravindran@...> wrote:

Please note that the previous patch files have been removed for now. It was not clear which all are still relevant and not obsolete in the latest version. Kindly reply to this message if any of the removed patches are identified as must haves, I'll be happy to backport them.
We have many combinations that get tested e.g. with systemd w/o
systemd, with usrmerge in DISTRO_FEATURE and without, building with
clang or gcc, using musl or glibc and finally
many target architectures. While I agree we should be using latest
version and perhaps dropping patches which are no longer needed but I
think dropping all of them might be a bit too much
so it would be good to state what combinations have been tested with
this and perhaps we should limit the recipe to just that combination
for now.

Ideally, any additional patches should be upstreamed to fluentbit project and upgrade the version here so that we can maintain the closest to fluentbit project and avoid double maintenance.
yes we need help in upstreaming the patches as well.

Thanks,
Lekshmi


Join openembedded-devel@lists.openembedded.org to automatically receive all group messages.